Subject: Re: bug#30402: ldconfig confusion

From: Roumen Petrov <[email-masked]>
Date: Fri, 09 Feb 2018 22:41:06 +0200

Reuben Thomas wrote:
> I just noticed that on my GNU/Linux system (and on stock Ubuntu 14.04,
> which is where I first encountered this), I need to run
>
> ldconfig
>
> after installing shared libraries built with libtool. I was confused at
> first, because libtool itself runs
>
> ldconfig -n $(libdir)
>
> But I guess because this does not update the cache, it doesn't make the
> library available.

I'm not sure.

I just run one of my tests - build of binary with shared library and and 
installation into one system default paths for shared libraries.
Result:
- ldconfig -p does not show new library
- ldd binary shows library
- binary is executed properly

Next step is upgrade of library and execution of binary - result shows 
that is used updated library.

I'm not familiar with ldconfig cache and until now I did not have issue 
with installation in development environment.

In production package manager is responsible to swap correctly library 
on the fly.

[SNIP]

Regards,
Roumen Petrov